# Generated from zip_tricks-5.6.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name zip_tricks

Name: rubygem-%{gem_name}
Version: 5.6.0
Release: 1%{?dist}
Summary: Stream out ZIP files from Ruby
License: MIT (Hippocratic)
URL: https://github.com/wetransfer/zip_tricks
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rubyzip) >= 1
# BuildRequires: rubygem(rubyzip) < 2
# BuildRequires: rubygem(rack) >= 1.6
# BuildRequires: rubygem(rack) < 2
# BuildRequires: rubygem(rspec) >= 3
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(complexity_assert)
# BuildRequires: rubygem(coderay)
# BuildRequires: rubygem(benchmark-ips)
# BuildRequires: rubygem(allocation_stats) >= 0.1.5
# BuildRequires: rubygem(allocation_stats) < 0.2
# BuildRequires: rubygem(yard) >= 0.9
# BuildRequires: rubygem(yard) < 1
# BuildRequires: rubygem(wetransfer_style) = 0.6.0
# BuildRequires: rubygem(puma)
BuildArch: noarch

%description
Stream out ZIP files from Ruby.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.codeclimate.yml
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/IMPLEMENTATION_DETAILS.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bench
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/zip_tricks.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 5.6.0-1
- Initial package
